summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick McLean <patrick.mclean@sony.com>2018-12-05 14:46:48 -0800
committerPatrick McLean <chutzpah@gentoo.org>2018-12-05 14:47:19 -0800
commit400a12cee48d2546488df0dba14204502820b82d (patch)
treecd24e57f165f79647d5e40b526af6417970fad78 /dev-python/python-iptables
parentdev-qt/qtwayland: Fix build with USE -libinput (diff)
downloadgentoo-400a12cee48d2546488df0dba14204502820b82d.tar.gz
gentoo-400a12cee48d2546488df0dba14204502820b82d.tar.bz2
gentoo-400a12cee48d2546488df0dba14204502820b82d.zip
dev-python/python-iptables: Version bump to 0.13.0
Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Patrick McLean <chutzpah@gentoo.org>
Diffstat (limited to 'dev-python/python-iptables')
-rw-r--r--dev-python/python-iptables/Manifest1
-rw-r--r--dev-python/python-iptables/python-iptables-0.13.0.ebuild37
2 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/python-iptables/Manifest b/dev-python/python-iptables/Manifest
index 987cad3422f..df948f9ac8e 100644
--- a/dev-python/python-iptables/Manifest
+++ b/dev-python/python-iptables/Manifest
@@ -1 +1,2 @@
DIST python-iptables-0.12.0.tar.gz 40831 BLAKE2B ea53605a5dd581cad7e05059c1534376a53b3b3da89b8c172cbb38ae7482ca3972fdf786badf3328960847c12c96ce32278657c32c857a1682650621a3add47a SHA512 bf79288fac53542e523c8ed0e4e0711792cf524100e39f57f10d3581d1b958712875a765f690b3d5ec6e28af9de48d2f3dd0a787c7037ebfc6f8bf87b5e321b2
+DIST python-iptables-0.13.0.tar.gz 83456 BLAKE2B 9c8da40437d408c6bb49e700b8d1663e7fdb0a1001b15409cf4c8b9edf612f75eb546207bc86d0535f8fb3744e42244f3e067dff80037c5a3eadc028ec8024f3 SHA512 1693924b8ee79b3b0929b57e86908282d53d28044b063d7bd169a6e9c1b45b5b6b4a79e54d024beedbfd6e42f88417eb2d0312bf90895702a3b8bfe2c2eb22b2
diff --git a/dev-python/python-iptables/python-iptables-0.13.0.ebuild b/dev-python/python-iptables/python-iptables-0.13.0.ebuild
new file mode 100644
index 00000000000..bfdad554d96
--- /dev/null
+++ b/dev-python/python-iptables/python-iptables-0.13.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5,6,7}} )
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for iptables"
+HOMEPAGE="https://github.com/ldx/python-iptables"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc"
+
+RDEPEND="net-firewall/iptables"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )"
+
+# tests manipulate live iptables rules, so disable them by default
+
+python_prepare_all() {
+ # Prevent un-needed d'loading during doc build
+ sed -e "s/, 'sphinx.ext.intersphinx'//" -i doc/conf.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C doc html
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/_build/html/. )
+ distutils-r1_python_install_all
+}